#include <stdlib.h>
#include <stdio.h>
#include "objects.h"
#include "../parse/parser.h"

extern scene_data* main_scene;


void scene_add_object(object *obj, scene_data *scene)
{
	obj->id = scene->num_objects;
	//printd(NORMAL, "adding object[%i]\n", obj->id);
	scene->models[main_scene->num_objects] = obj;
	scene->num_objects++;
}

void scene_add_light(object *obj, scene_data *scene)
{
	obj->id = scene->num_lights;
	//printd(NORMAL, "adding object[%i]\n", obj->id);
	scene->lights[main_scene->num_lights] = obj;
	scene->num_lights++;
}
