#ifndef TRIANGLE_H
#define TRIANGLE_H

#include "../common/structs.h"

double intersect_triangle(point* startP, vector* projV, object* plane, point* pntIntersect);
vector* normal_triangle(point* q, object* objectHit, vector* n);
void triangle_set(object *obj, char *key, char *value);
void triangle_setd(object *obj, char *key, double value);
void triangle_setup(object *obj);
object *triangle_create(int obj_number);
void triangle_set_vector(object *obj, char *key, vector *v);
void triangle_from_points(object *obj, vector **vertices);

typedef struct 
{
	vector vertex[3];
} triangle_data;
#endif
