#ifndef INTERSECT_H
#define INTERSECT_H

#include "../common/structs.h"

object* intersect(point* startP, vector* projV, point* pHit, char shadow);
double dis_intersect(point* startP, vector* projV, char shadow);
double intersect_object(point* startP, vector* projV, object *obj, int shadow);
vector* get_normal(point* p, object* obj, vector* v);
void setup_intersect(void);

typedef struct
{
	double distance;
	object *hit_object;
} hit_data;

void intersect(point* startP, vector* projV, char shadow, hit_data *hit);
double intersect_dis(point* startP, vector* projV, char shadow);

#endif /* INTERSECT_H */
