#ifndef LINE_SEGMENT_H
#define LINE_SEGMENT_H

#include "../common/structs.h"

double line_segment_intersect(point* startP, vector* projV, object* plane, point* pntIntersect);
vector* line_segment_normal(point* q, object* objectHit, vector* n);
void line_segment_set(object *obj, char *key, char *value);
void line_segment_setd(object *obj, char *key, double value);
void line_segment_setup(object *obj);
object *line_segment_create(int obj_number);
//void line_segment_from_points(object *obj, vector *vertices[4]);

typedef struct 
{
	double length;
} line_segment_data;

#endif
